Subject: Re: [PATCH v3 12/19] dt-bindings: mmc: fsl-imx-esdhc: Fix i.MX 8 compatible matching

From: Krzysztof Kozlowski <[email-masked]>
Date: Fri, 28 Aug 2020 11:12:00 +0200

On Fri, Aug 28, 2020 at 10:45:40AM +0200, Ulf Hansson wrote:
> On Tue, 25 Aug 2020 at 21:37, Krzysztof Kozlowski <[email-masked]> wrote:
> >
> > The i.MX 8 DTSes use two compatibles so update the binding to fix
> > dtbs_check warnings like:
> >
> >   arch/arm64/boot/dts/freescale/imx8mn-evk.dt.yaml: mmc@30b40000:
> >     compatible: ['fsl,imx8mn-usdhc', 'fsl,imx7d-usdhc'] is too long
> >     From schema: Documentation/devicetree/bindings/mmc/fsl-imx-esdhc.yaml
> >
> >   arch/arm64/boot/dts/freescale/imx8mn-evk.dt.yaml: mmc@30b40000:
> >     compatible: Additional items are not allowed ('fsl,imx7d-usdhc' was unexpected)
> >
> >   arch/arm64/boot/dts/freescale/imx8mn-ddr4-evk.dt.yaml: mmc@30b40000:
> >     compatible: ['fsl,imx8mn-usdhc', 'fsl,imx7d-usdhc'] is too long
> >
> > Signed-off-by: Krzysztof Kozlowski <[email-masked]>
> 
> Rob, Krzysztof - do you want me to pick this one?

dt-bindings are independent so they can be applied individually.

I don't mind you taking it but still Rob's ack/review would be needed.

Other choice is that entire dt-bindings series go through Rob's tree.

Rob, what's your preference?

Best regards,
Krzysztof

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel